<?php
/*
 * Copyright 2011 BTCinch LLC
 *
 * Released under the GNU General Public License
 *
 * Author: Ira Miller
 * 
 * Set BTCinch SCI gateway options here. These can be overridden by sending corresponding values
 * in an array to certain helper functions. This allows carts to set each through a GUI.
 *
 * You can learn more about these values here: https://btcinch.com/api/docs/BTCinch_SCI.pdf
 */

/*
 * BTCINCH_KEY and BTCINCH_PASS should be set to your Merchant Key and Merchant Pass.
 * These can be found here: https://www.btcinch.com/member/merchant.php.
 */
  define("BTCINCH_KEY", "");
  define("BTCINCH_PASS", "");

/*
 * BTCINCH_RETURN_URL and BTCINCH_CANCEL_URL are cart-specific.
 * If this library came packaged with a cart, these should be filled out, already.
 */
  define("BTCINCH_RETURN_URL", "");
  define("BTCINCH_CANCEL_URL", "");

/*
 * BTCINCH_TYPE has two valid values: "ANY" and "INSTANT".
 * When in doubt, leave as "ANY".
 */
  define("BTCINCH_TYPE", "ANY");

/*
 * BTCINCH_VERSION and BTCINCH_GATEWAY should not be changed, unless you really know
 * what you're doing.
 */
  define("BTCINCH_VERSION", "1.0");
  define("BTCINCH_GATEWAY", "https://www.btcinch.com/api/mapi/1/paygate.php");
?>
