<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2009 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
  require('includes/modules/payment/btcinch.php');
  require(DIR_WS_LANGUAGES . $language . '/modules/payment/btcinch.php');
  require_once('BTCinch_PHP_SCI_lib/btcinch_config.php');
  require_once('BTCinch_PHP_SCI_lib/btcinch_sci.php');

  $btcinch = new btcinch();

  // initialize variables if the customer is not logged in
  if (!tep_session_is_registered('customer_id')) {
    $customer_id = 0;
    $customer_default_address_id = 0;
  }

  if (!$btcinch->check() || !$btcinch->enabled) {
    tep_redirect(tep_href_link(FILENAME_SHOPPING_CART));
  }

  switch ($HTTP_GET_VARS['osC_Action']) {
    case 'cancel':
      tep_session_unregister('btcinch_token');
      tep_redirect(tep_href_link(FILENAME_SHOPPING_CART, '', 'SSL'));
      break;
    case 'callback':
      if(!empty($HTTP_POST_VARS['OID'])) {
        $oid = $HTTP_POST_VARS['OID'];
        $response = getStatus(MODULE_PAYMENT_BTCINCH_KEY,
                              MODULE_PAYMENT_BTCINCH_PASS,
                              $oid);
        if($response->STATUS == 'VERIFIED') {
          $received = $response->RECEIVED;
          $query = sprintf("SELECT value FROM " . TABLE_ORDERS_TOTAL . " WHERE class='ot_total' AND orders_id=%d", $oid);

          $res = tep_db_query($query);
          $order_total = tep_db_fetch_array($res);
          $quer = sprintf("SELECT currency_value FROM " . TABLE_ORDERS . " WHERE orders_id=%d", $oid);

          $resy = tep_db_query($quer);
          $order = tep_db_fetch_array($resy);

          $total = round($order_total['value']*$order['currency_value'], 3)*1e8;
          if($received >= $total*0.999999) {
            $sql_data_array = array('orders_id' => $oid, 
                                'date_added' => 'now()', 
                                'customer_notified' => '0',
                                'orders_status_id' => $btcinch->order_status,
                                'comments' => "BTCinch callback update.");
            tep_db_perform(TABLE_ORDERS_STATUS_HISTORY, $sql_data_array);
            $update = sprintf("UPDATE " . TABLE_ORDERS . " SET orders_status=".$btcinch->order_status." WHERE orders_id=%d", $oid);
            tep_db_query($update);
          }
        }
      }

      // if there is nothing in the customers cart, redirect them to the shopping cart page
      $response = getCheckoutDetails(MODULE_PAYMENT_BTCINCH_KEY,
                                     MODULE_PAYMENT_BTCINCH_PASS,
                                     $HTTP_GET_VARS['token']);
      if (($response->ACK == 'VERIFIED') || ($response->ACK == 'SUCCESS') || ($response->ACK == 'PENDING')) {
          tep_redirect(tep_href_link(FILENAME_CHECKOUT_CONFIRMATION, '', 'SSL'));
      } else {
          tep_session_unregister('btcinch_token');
          tep_redirect(tep_href_link(FILENAME_SHOPPING_CART, 'error_message=' . stripslashes($response->ERRORMESSAGE), 'SSL'));
      }
      break;
    default:
      tep_redirect(tep_href_link(FILENAME_SHOPPING_CART, '', 'SSL'));
      break;
  }

  require(DIR_WS_INCLUDES . 'application_bottom.php');
?>
